Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ExecuteExplainForSpark.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>
com.google.protobuf.GeneratedMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExplainForSpark.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ExecuteExplainForSpark`

public static final class ClientWireProtocol.ExecuteExplainForSpark.Builder extends GeneratedMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder> implements ClientWireProtocol.ExecuteExplainForSparkOrBuilder

     Spark Deprecated

Protobuf type `xg.cmdcomp.ExecuteExplainForSpark`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ExecuteExplainForSpark`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.ExecuteExplainForSpark`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`clearForce()`
`bool force = 4;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`clearPartitioningParam()`
`sfixed32 partitioningParam = 3;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`clearSql()`
`string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`clearType()`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`ClientWireProtocol.ExecuteExplainForSpark`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`boolean`
`getForce()`
`bool force = 4;`
`int`
`getPartitioningParam()`
`sfixed32 partitioningParam = 3;`
`String`
`getSql()`
`string sql = 1;`
`ByteString`
`getSqlBytes()`
`string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
`getType()`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`int`
`getTypeValue()`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`mergeFrom(ClientWireProtocol.ExecuteExplainForSpark other)`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`setForce(boolean value)`
`bool force = 4;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`setPartitioningParam(int value)`
`sfixed32 partitioningParam = 3;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`setSql(String value)`
`string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`setSqlBytes(ByteString value)`
`string sql = 1;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`setType(ClientWireProtocol.ExecuteExplainForSpark.PartitioningType value)`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
`setTypeValue(int value)`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### clear

public ClientWireProtocol.ExecuteExplainForSpark.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ExecuteExplainForSpark getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.ExecuteExplainForSpark build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ExecuteExplainForSpark buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ExecuteExplainForSpark.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### mergeFrom

public ClientWireProtocol.ExecuteExplainForSpark.Builder mergeFrom(ClientWireProtocol.ExecuteExplainForSpark other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`

### mergeFrom

public ClientWireProtocol.ExecuteExplainForSpark.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ExecuteExplainForSpark.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getSql

public String getSql()
`string sql = 1;`

Specified by:
  `getSql` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
Returns:
  The sql.

### getSqlBytes

public ByteString getSqlBytes()
`string sql = 1;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
Returns:
  The bytes for sql.

### setSql

public ClientWireProtocol.ExecuteExplainForSpark.Builder setSql(String value)
`string sql = 1;`

Parameters:
  `value` - The sql to set.
Returns:
  This builder for chaining.

### clearSql

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearSql()
`string sql = 1;`

Returns:
  This builder for chaining.

### setSqlBytes

public ClientWireProtocol.ExecuteExplainForSpark.Builder setSqlBytes(ByteString value)
`string sql = 1;`

Parameters:
  `value` - The bytes for sql to set.
Returns:
  This builder for chaining.

### getTypeValue

public int getTypeValue()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

Specified by:
  `getTypeValue` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### setTypeValue

public ClientWireProtocol.ExecuteExplainForSpark.Builder setTypeValue(int value)
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

### getType

public ClientWireProtocol.ExecuteExplainForSpark.PartitioningType getType()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

Specified by:
  `getType` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
Returns:
  The type.

### setType

public ClientWireProtocol.ExecuteExplainForSpark.Builder setType(ClientWireProtocol.ExecuteExplainForSpark.PartitioningType value)
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearType()
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`

Returns:
  This builder for chaining.

### getPartitioningParam

public int getPartitioningParam()
`sfixed32 partitioningParam = 3;`

Specified by:
  `getPartitioningParam` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
Returns:
  The partitioningParam.

### setPartitioningParam

public ClientWireProtocol.ExecuteExplainForSpark.Builder setPartitioningParam(int value)
`sfixed32 partitioningParam = 3;`

Parameters:
  `value` - The partitioningParam to set.
Returns:
  This builder for chaining.

### clearPartitioningParam

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearPartitioningParam()
`sfixed32 partitioningParam = 3;`

Returns:
  This builder for chaining.

### getForce

public boolean getForce()
`bool force = 4;`

Specified by:
  `getForce` in interface `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
Returns:
  The force.

### setForce

public ClientWireProtocol.ExecuteExplainForSpark.Builder setForce(boolean value)
`bool force = 4;`

Parameters:
  `value` - The force to set.
Returns:
  This builder for chaining.

### clearForce

public ClientWireProtocol.ExecuteExplainForSpark.Builder clearForce()
`bool force = 4;`

Returns:
  This builder for chaining.